> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Returns health status and system information including upgrade count and binary details
Also includes last upgrade attempt status with detailed error information if available



## OpenAPI

````yaml /reference/sandbox-api/openapi.json get /health
openapi: 3.0.0
info:
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  contact: {}
  version: 0.0.1
servers:
  - url: https://{sandbox_host}
    description: >-
      Host from the sandbox's returned url, without the scheme or trailing
      slash.
    variables:
      sandbox_host:
        default: sandbox.example.com
security:
  - BearerAuth: []
paths:
  /health:
    get:
      tags:
        - system
      summary: Health check
      description: >-
        Returns health status and system information including upgrade count and
        binary details

        Also includes last upgrade attempt status with detailed error
        information if available
      responses:
        '200':
          description: Health status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
components:
  schemas:
    HealthResponse:
      type: object
      required:
        - arch
        - buildTime
        - gitCommit
        - goVersion
        - lastUpgrade
        - os
        - startedAt
        - status
        - upgradeCount
        - uptime
        - uptimeSeconds
        - version
      properties:
        arch:
          type: string
          example: amd64
        buildTime:
          description: Build time in RFC 3339 (UTC), or "unknown" for builds without it
          type: string
          example: '2026-01-29T17:36:52Z'
        gitCommit:
          type: string
          example: abc123
        goVersion:
          type: string
          example: go1.25.0
        lastUpgrade:
          $ref: '#/components/schemas/UpgradeStatus'
        os:
          type: string
          example: linux
        startedAt:
          description: API start time in RFC 3339
          type: string
          example: '2026-01-29T18:45:49Z'
        status:
          type: string
          example: ok
        upgradeCount:
          type: integer
          example: 0
        uptime:
          type: string
          example: 1h30m
        uptimeSeconds:
          type: number
          example: 5400.5
        version:
          type: string
          example: v0.1.0
    UpgradeStatus:
      type: object
      required:
        - status
        - step
        - version
      properties:
        binaryPath:
          description: Path to downloaded binary
          type: string
          example: /tmp/sandbox-api-new
        bytesDownloaded:
          description: Bytes downloaded
          type: integer
          example: 25034936
        downloadUrl:
          description: URL used for download
          type: string
          example: https://github.com/...
        error:
          description: Error message if failed
          type: string
          example: Failed to download binary
        lastAttempt:
          description: When the upgrade was attempted
          type: string
        status:
          description: Current state (idle, running, completed, failed)
          allOf:
            - $ref: '#/components/schemas/process.UpgradeState'
          example: running
        step:
          description: >-
            Current/last step (none, starting, download, validate, replace,
            completed, skipped)
          type: string
          example: download
        version:
          description: Version being upgraded to
          type: string
          example: latest
    process.UpgradeState:
      type: string
      enum:
        - idle
        - running
        - completed
        - failed
      x-enum-comments:
        UpgradeStateCompleted: Upgrade completed successfully
        UpgradeStateFailed: Upgrade failed
        UpgradeStateIdle: No upgrade in progress
        UpgradeStateRunning: Upgrade is currently running
      x-enum-descriptions:
        - No upgrade in progress
        - Upgrade is currently running
        - Upgrade completed successfully
        - Upgrade failed
      x-enum-varnames:
        - UpgradeStateIdle
        - UpgradeStateRunning
        - UpgradeStateCompleted
        - UpgradeStateFailed
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Sandbox access token created through POST /v1/token.

````